diff --git libs/context/build/Jamfile.v2 libs/context/build/Jamfile.v2
index 872b4f0ef..54c5db1a4 100644
--- libs/context/build/Jamfile.v2
+++ libs/context/build/Jamfile.v2
@@ -724,7 +724,7 @@ alias asm_sources
    : asm/make_combined_sysv_macho_gas.S
      asm/jump_combined_sysv_macho_gas.S
      asm/ontop_combined_sysv_macho_gas.S
-   : <abi>sysv
+   : <address-model>64
      <architecture>combined
      <binary-format>mach-o
    ;
diff --git libs/context/src/asm/jump_combined_sysv_macho_gas.S libs/context/src/asm/jump_combined_sysv_macho_gas.S
index 1d27afad1..34a32f785 100644
--- libs/context/src/asm/jump_combined_sysv_macho_gas.S
+++ libs/context/src/asm/jump_combined_sysv_macho_gas.S
@@ -15,6 +15,10 @@
     #include "jump_ppc32_sysv_macho_gas.S"
 #elif defined(__ppc64__)
     #include "jump_ppc64_sysv_macho_gas.S"
+#elif defined(__arm__)
+    #include "jump_arm_aapcs_macho_gas.S"
+#elif defined(__arm64__)
+    #include "jump_arm64_aapcs_macho_gas.S"
 #else
     #error "No arch's"
 #endif
diff --git libs/context/src/asm/make_combined_sysv_macho_gas.S libs/context/src/asm/make_combined_sysv_macho_gas.S
index 727e9045f..b22fa7ebe 100644
--- libs/context/src/asm/make_combined_sysv_macho_gas.S
+++ libs/context/src/asm/make_combined_sysv_macho_gas.S
@@ -15,6 +15,10 @@
     #include "make_ppc32_sysv_macho_gas.S"
 #elif defined(__ppc64__)
     #include "make_ppc64_sysv_macho_gas.S"
+#elif defined(__arm__)
+    #include "make_arm_aapcs_macho_gas.S"
+#elif defined(__arm64__)
+    #include "make_arm64_aapcs_macho_gas.S"
 #else
     #error "No arch's"
 #endif
diff --git libs/context/src/asm/ontop_combined_sysv_macho_gas.S libs/context/src/asm/ontop_combined_sysv_macho_gas.S
index 20cbeb9f2..7d254de22 100644
--- libs/context/src/asm/ontop_combined_sysv_macho_gas.S
+++ libs/context/src/asm/ontop_combined_sysv_macho_gas.S
@@ -15,6 +15,10 @@
     #include "ontop_ppc32_sysv_macho_gas.S"
 #elif defined(__ppc64__)
     #include "ontop_ppc64_sysv_macho_gas.S"
+#elif defined(__arm__)
+    #include "ontop_arm_aapcs_macho_gas.S"
+#elif defined(__arm64__)
+    #include "ontop_arm64_aapcs_macho_gas.S"
 #else
     #error "No arch's"
 #endif
